<script setup lang="ts">
import { reactive } from 'vue'
import { useAppStore } from '@/stores/app'
import AppButton from '@/components/ui/AppButton.vue'

const app = useAppStore()

const state = reactive({
  key: ''
})

function saveKey() {
  app.setAdminKey(state.key)
}

</script>

<template>
  <main id="main" class="flex justify-center items-center">
    <div v-if="!app.isAdmin" class="relative p-4 w-full max-w-lg h-full md:h-auto">
      <AppCard>
        <div class="space-y-3">
          <h3 class="text-2xl font-bold text-gray-900 dark:text-white">
            Administrative access
          </h3>
          <div>
            <form @submit.prevent @submit="saveKey">
              <label for="password" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Enter your
                admin key</label>
              <input v-model="state.key" type="password" id="password"
                     class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                     required />
            </form>
          </div>

          <hr class="h-px my-3 lg:my-8 bg-gray-200 border-0 dark:bg-gray-700" />

          <div class="text-center">
            <AppButton @click="saveKey" variant="default">
              Login
            </AppButton>
          </div>
        </div>
      </AppCard>
    </div>

    <div v-else>
      <RouterView />
    </div>
  </main>
</template>
